package com.zswc.creativity.model;

import android.os.Parcel;
import android.os.Parcelable;

import com.ysnows.base.inter.IModel;

public class AppSetting implements Parcelable, IModel {

    public Boolean pinGoogleIcon;
    public Boolean autoAd;
    public Boolean clipboardListener;
    public Boolean showMsg;
    public Boolean doubleClickPaste;

    public AppSetting() {
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeValue(this.pinGoogleIcon);
        dest.writeValue(this.autoAd);
        dest.writeValue(this.clipboardListener);
        dest.writeValue(this.showMsg);
        dest.writeValue(this.doubleClickPaste);
    }

    protected AppSetting(Parcel in) {
        this.pinGoogleIcon = (Boolean) in.readValue(Boolean.class.getClassLoader());
        this.autoAd = (Boolean) in.readValue(Boolean.class.getClassLoader());
        this.clipboardListener = (Boolean) in.readValue(Boolean.class.getClassLoader());
        this.showMsg = (Boolean) in.readValue(Boolean.class.getClassLoader());
        this.doubleClickPaste = (Boolean) in.readValue(Boolean.class.getClassLoader());
    }

    public static final Creator<AppSetting> CREATOR = new Creator<AppSetting>() {
        @Override
        public AppSetting createFromParcel(Parcel source) {
            return new AppSetting(source);
        }

        @Override
        public AppSetting[] newArray(int size) {
            return new AppSetting[size];
        }
    };
}
